Until recently, only SAPUI5 and SAP Enterprise Portal were running with Edge. A big group of other NW technologies was added last month, so the full list looks now like this:

  • SAP UI5 starting with version 1.32
  • SAPUI5 on Windows 10 mobile Nokia Lumia 930 and 950 for NW7.40 SP15 (1.28 33) and NW 7.50 SP03 (1.36)
  • Enterprise Portal with Fiori Framework Page from  NW 7.31 SP14 and higher (SAP Note 2176901)
  • SAP GUI for HTML
    • Planned: SAP NetWeaver 7.51 SP0 or higher (including newer SAP NetWeaver releases) with Kernel 7.49
    • SAP NetWeaver 7.50 SP04 or higher with SAP kernel 745 patch 300 or higher
    • SAP NetWeaver 7.40 SP17 or higher with SAP kernel 745 patch 300 or higher
    • SAP kernel 742 does not support MS Edge. Customers should use instead the downward compatible SAP kernel 745 patch 300 or higher
  • Web Dynpro ABAP
    • Planned: 7.51 SP00
    • 7.50 SP04
    • 7.40 SP17
  • Web Dynpro Java
    • 7.50 SP05
    • 7.40 SP14
    • 7.31 SP19
  • NWBC for HTML
    • NWBC for HTML 3.5 as of SAP NetWeaver Release 7.40 SP17, 7.50 SP4, or 7.51 SP0 with Patch Level 53 (SAP Note 2302129)
    • NWBC for HTML 3.6 in SAP NetWeaver Release 7.40 SP17 with UI Add-On 1.0 SP17 and SAP NetWeaver Release 7.50 SP4 or 7.51 SP0 in Release 7.50 with Patch Level 53 (SAP Note 2302129).

Please be aware that the information is based on SAP internal planning and might be changed on delivery. For official information on supported platforms and reference devices see our Product Availability Matrix at: https://apps.support.sap.com/sap/support/pam

To report this post you need to login first.

2 Comments

You must be Logged on to comment or reply to a post.

  1. Syed Asraf

    Hi Andreas

    Is there any way I can default my NWBC browser from IE to Edge. I use a Windows10 machine and work in TM9.2(SAPK-13001INSAPTM) and EM9.2 (SAPK-92001INSCEMSRV)

    Thanks & Regards

    Syed

    (0) 

Leave a Reply